Page MenuHomePhabricator

Deploy Monolog logging configuration for WMF production
Closed, ResolvedPublic

Description

Implement and deploy a production version of the Monolog logging configuration that is being used in beta.

Details

Related Gerrit Patches:
operations/mediawiki-config : mastermonolog: enable for group0 + group1 wikis
operations/mediawiki-config : masterEnable MWLoggerMonologSpi for testwiki
operations/mediawiki-config : masterOptional MWLoggerMonologSpi configuration
operations/mediawiki-config : masterIntroduce wmgUseMonologLogger feature flag
operations/mediawiki-config : masterConfigure logging to use MWLoggerMonologSpi
operations/mediawiki-config : masterConfigure logging to use MWLoggerMonologSpi

Event Timeline

bd808 created this task.Dec 4 2014, 8:45 PM
bd808 claimed this task.
bd808 raised the priority of this task from to Normal.
bd808 updated the task description. (Show Details)
bd808 changed Security from none to None.
bd808 added a subscriber: bd808.

Change 178978 had a related patch set uploaded (by BryanDavis):
Configure logging to use MWLoggerMonologSpi

https://gerrit.wikimedia.org/r/178978

Patch-For-Review

bd808 moved this task from Untriaged to Needs Review on the Librarization board.

Change 178978 merged by jenkins-bot:
Configure logging to use MWLoggerMonologSpi

https://gerrit.wikimedia.org/r/178978

The one part of the patch that I had not tested in beta was the use of a NullHandler to ignore events. And it turns out that this is the part that broke in prod of course.

Change 179217 had a related patch set uploaded (by BryanDavis):
Configure logging to use MWLoggerMonologSpi

https://gerrit.wikimedia.org/r/179217

Patch-For-Review

Change 179217 merged by jenkins-bot:
Configure logging to use MWLoggerMonologSpi

https://gerrit.wikimedia.org/r/179217

Change 179368 had a related patch set uploaded (by BryanDavis):
Introduce wmgUseMonologLogger feature flag

https://gerrit.wikimedia.org/r/179368

Patch-For-Review

Change 179369 had a related patch set uploaded (by BryanDavis):
Optional MWLoggerMonologSpi configuration

https://gerrit.wikimedia.org/r/179369

Patch-For-Review

Change 179370 had a related patch set uploaded (by BryanDavis):
Enable MWLoggerMonologSpi for testwiki

https://gerrit.wikimedia.org/r/179370

Patch-For-Review

Change 179368 merged by jenkins-bot:
Introduce wmgUseMonologLogger feature flag

https://gerrit.wikimedia.org/r/179368

Change 179369 merged by jenkins-bot:
Optional MWLoggerMonologSpi configuration

https://gerrit.wikimedia.org/r/179369

Change 179370 merged by jenkins-bot:
Enable MWLoggerMonologSpi for testwiki

https://gerrit.wikimedia.org/r/179370

The group0 wikis (testwiki, test2wiki, wikidatatest, mediawikiwiki and zerowiki) are now logging via monolog. Dashboard at https://logstash.wikimedia.org/#/dashboard/elasticsearch/monolog.

Change 181130 had a related patch set uploaded (by BryanDavis):
monolog: enable for group0 group1 wikis

https://gerrit.wikimedia.org/r/181130

Patch-For-Review

Change 181130 merged by jenkins-bot:
monolog: enable for group0 group1 wikis

https://gerrit.wikimedia.org/r/181130

bd808 moved this task from In Dev to Done on the Librarization board.Jan 18 2015, 9:42 PM
bd808 moved this task from In Dev/Progress to Done on the MediaWiki-Core-Team board.
bd808 closed this task as Resolved.Jan 20 2015, 10:12 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.